Package jebl.evolution.coalescent

# Enum Class IntervalList.IntervalType

java.lang.Object
java.lang.Enum<IntervalList.IntervalType>
jebl.evolution.coalescent.IntervalList.IntervalType

All Implemented Interfaces:
  `Serializable`, `Comparable<IntervalList.IntervalType>`, `Constable`

Enclosing interface:
  `IntervalList`

public static enum IntervalList.IntervalType extends Enum<IntervalList.IntervalType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COALESCENT`
Denotes an interval after which a coalescent event is observed (i.e.
`MIGRATION`
Denotes an interval at the end of which a migration event occurs.
`NOTHING`
Denotes an interval at the end of which nothing is observed (i.e.
`SAMPLE`
Denotes an interval at the end of which a new sample addition is observed (i.e.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static IntervalList.IntervalType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntervalList.IntervalType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAMPLE

public static final IntervalList.IntervalType SAMPLE
Denotes an interval at the end of which a new sample addition is observed (i.e. the number of lineages is larger in the next interval).

### COALESCENT

public static final IntervalList.IntervalType COALESCENT
Denotes an interval after which a coalescent event is observed (i.e. the number of lineages is smaller in the next interval)

### MIGRATION

public static final IntervalList.IntervalType MIGRATION
Denotes an interval at the end of which a migration event occurs. This means that the colour of one lineage changes.

### NOTHING

public static final IntervalList.IntervalType NOTHING
Denotes an interval at the end of which nothing is observed (i.e. the number of lineages is the same in the next interval).

## Method Details

### values

public static IntervalList.IntervalType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntervalList.IntervalType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<IntervalList.IntervalType>`